All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreCallStackElement Struct Reference

call stack element; strings must be in the default encoding for the Qore process More...

`#include <ExceptionSink.h>`

Inheritance diagram for QoreCallStackElement:
[legend]
Collaboration diagram for QoreCallStackElement:
[legend]

## Public Attributes

qore_call_t | type
| the call stack element type
Public Attributes inherited from QoreSourceLocation
std::string | code
| the function or method call name; method calls in format class::name
int | end_line
| the end line
std::string | label
| the code label name (source file if source not present)
unsigned | offset = 0
| offset in source file (only used if source is not empty)
std::string | source
| optional additional source file
int | start_line
| the start line

## Detailed Description

call stack element; strings must be in the default encoding for the Qore process

Since
  Qore 0.8.13

The documentation for this struct was generated from the following file:

- include/qore/ExceptionSink.h (79e5dd4f976dab9d74ec8272aec97c21df86c597)